Summary:	PPTP-linux VPN client 
Name:		pptp-linux
Version:	1.7.1
Release:	1mdk
License:	GPL
Group:		Networking/Other

Source0:	http://prdownloads.sourceforge.net/pptpclient/pptp-%{version}.tar.bz2
Source1: 	pptp-command
Source2: 	options.pptp
Source3: 	pptp_fe.pl
Source4: 	xpptp_fe.pl
Source5:	pptp.initd

URL:		http://pptpclient.sourceforge.net/
Requires:	ppp >= 2.4.3
Requires(pre):	chkconfig rpm-helper
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Conflicts:	pptp-adsl-alcatel
Obsoletes:	pptp-client
Provides:	pptp-client

%description
PPTP-linux allows you to connect to a PPTP server from a Linux or other
Unix box (ports of pptp-linuxto other Unix variants should be trivial,
but have not yet been performed). See the IPfwd page
(http://www.pdos.lcs.mit.edu/~cananian/Projects/IPfwd) for information
on tunnelling PPTP through Linux firewalls.

%prep
%setup -q -n pptp-%{version}

%build
%make OPTIMIZE="$RPM_OPT_FLAGS" DEBUG=""

%install
rm -rf $RPM_BUILD_ROOT

install -m755 pptp -D $RPM_BUILD_ROOT%{_sbindir}/pptp
install -m755 %{SOURCE1} -D $RPM_BUILD_ROOT%{_sbindir}/pptp-command
install -d $RPM_BUILD_ROOT%{_sysconfdir}/pptp.d
install -m644 %{SOURCE2} -D $RPM_BUILD_ROOT%{_sysconfdir}/ppp/options.pptp
install -m644 pptp.8 -D $RPM_BUILD_ROOT%{_mandir}/man8/pptp.8
install -d $RPM_BUILD_ROOT%{_initrddir}
install -m755 %{SOURCE5} -D $RPM_BUILD_ROOT%{_initrddir}/pptp

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service pptp

%preun
%_preun_service pptp

%files
%defattr (-,root,root)
%doc AUTHORS NEWS README TODO USING Documentation/[D,P]*
%{_sbindir}/*
%{_initrddir}/pptp
%{_mandir}/man8/pptp.8*
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/ppp/options.pptp
%attr(0755,root,root) %dir %{_sysconfdir}/pptp.d

%changelog
* Wed Mar 08 2006 Stew Benedict <sbenedict@mandriva.com> 1.7.1-1mdk
- 1.7.1

* Thu Dec 22 2005 Stew Benedict <sbenedict@mandriva.com> 1.7.0-2mdk
- replace symlink with real init script (#20267, S3)
- modprobe ppp-compress-18 in the init script
- add "refuse-eap" to options.pptp
- kill pppd rather than pptp for a cleaner interaction with "service"
  (modified pptp-command)

* Tue Oct 04 2005 Stew Benedict <sbenedict@mandriva.com> 1.7.0-1mdk
- New release 1.7.0

* Tue Jun 21 2005 Stew Benedict <sbenedict@mandriva.com> 1.6.0-2mdk
- add stateless to options.pptp, new syntax for other mppe options (#16501)
- fix pptp initscript symlink removed in 1.5.0-2mdk (#16499)

* Wed Apr 27 2005 Olivier Blin <oblin@mandriva.com> 1.6.0-1mdk
- 1.6.0

* Tue Jan 18 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.5.0-2mdk
- update options.pptp (S2)  for new pppd
- compile with $RPM_OPT_FLAGS and without -g flag
- cleanups!

* Mon Jul  5 2004 Olivier Blin <blino@mandrake.org> 1.5.0-1mdk
- 1.5.0

* Wed May 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.0-2mdk
- fix requires

* Tue May 25 2004 Stew Benedict <sbenedict@mandrakesoft.com> 1.4.0-1mdk
- 1.4.0, fix options.pptp for pppd 2.4.2 (#9376)

* Wed Jul  2 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.3.1-1mdk
- 1.3.1

* Fri Apr  4 2003 Stew Benedict <sbenedict@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Fri Dec 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.0-3mdk
- rebuild for new glibc/rpm

* Thu Jun  6 2002 Stew Benedict <sbenedict@mandrkaesoft.com> 1.1.0-2mdk
- rpmlint fixes

* Mon Jun  3 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.1.0-1mdk
- new package name, new source maintainer, URL, etc. support for mppe

* Fri Mar 22 2002 David BAUDENS <baudens@mandrakesoft.com> 1.0.2-7mdk
- Clean after build

* Fri Jul 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-6mdk
- rebuild

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-5mdk
- build for gcc-2.96

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-4mdk
- BM

* Thu Mar 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.2-3mdk
- fix group
- clean spec

* Thu Jan 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- add conflicts tag
- fix buildroot

* Tue Oct 11 1999 Lenny Cartier <lenny@mandrakesoft.com>
- Specfile adaptations
